/*
**	utils.c
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include "opencomet.h"

void makeObjName(char *s, char *d)
{
	changeExt(s, d, "obj");
}

void makeSymName(char *s, char *d)
{
	changeExt(s, d, "sym");
}

void changeExt(char *s, char *d, char *e)
{
	int		flag = FALSE;

	while (*s) {
		if (*s == '.') {
			flag = TRUE;
		}
		*d++ = *s++;
	}
	if (flag) {
		d--;
		while (*d != '.') {
			d--;
		}
	}
	*d++ = '.';
	while ((*d++ = *e++) != NUL)
		;
}

word htow(char *s)
{
	int		result = 0;
	
	sscanf(s, "%X", &result);
	
	return (word) result;
}

void removeEOL(char *s)
{
	while (*s) {
		if (*s == '\n') {
			*s = NUL;
			break;
		}
		s++;
	}
}

void upperCase(char *s)
{
	while (*s) {
		*s = toupper(*s);
		s++;
	}
}

